﻿/////////////////////////////////////////////////////////////////////////////////////////
//                                                                                     //
// Kitchen Timer gadget © Richard Williams 2010                                        //
//                                                                                     //
///////////////////////////////////////////////////////////////////////////////////////// 
window.onload = function(){
	init();
}
var oHours;
var oMinutes;
var oSeconds;
var oSoundURL;
var oSoundRepeat;
var oVolume;

function init(){
	oHours = document.getElementById("hours");
	oMinutes = document.getElementById("minutes");
	oSeconds = document.getElementById("seconds");
	oSoundURL = document.getElementById("soundURL");
	oSoundRepeat = document.getElementById("soundRepeat");
	oVolume=document.getElementsByName("volume");
	sHours = System.Gadget.Settings.readString("hours");
	sMinutes = System.Gadget.Settings.readString("minutes");
	sSeconds = System.Gadget.Settings.readString("seconds");
	sSoundURL = System.Gadget.Settings.readString("soundURL");
	sSoundRepeat = System.Gadget.Settings.readString("soundRepeat");
	sVolume = System.Gadget.Settings.readString("volume");
	if(sHours == "")sHours = "00";
	if(sMinutes == "")sMinutes = "00";
	if(sSeconds == "")sSeconds = "00";
	if(sSoundURL == "")sSoundURL = "./sounds/alarm-clock-1.wav";
	if(sSoundRepeat == "")sSoundRepeat = "1";
	if(sVolume == "")sVolume = "on";
	oHours.value = sHours;
	oMinutes.value = sMinutes;
	oSeconds.value = sSeconds;
	//oSoundURL.value = sSoundURL;
	oSoundRepeat.value = sSoundRepeat;
	if(oVolume[0].value == sVolume)oVolume[0].checked = true;
	if(oVolume[1].value == sVolume)oVolume[1].checked = true;
	System.Gadget.onSettingsClosing =settingsClosing;
}
function settingsClosing(event){
	if(event.closeAction == event.Action.commit){
		System.Gadget.Settings.writeString("hours",oHours.value);
		System.Gadget.Settings.writeString("minutes",oMinutes.value);
		System.Gadget.Settings.writeString("seconds",oSeconds.value);
		if(oSoundURL != "")System.Gadget.Settings.writeString("soundURL",oSoundURL.value);else System.Gadget.Settings.writeString("soundURL",sSoundURL);
		System.Gadget.Settings.writeString("soundRepeat",oSoundRepeat.value);
		if(oVolume[0].checked == true)System.Gadget.Settings.writeString("volume",oVolume[0].value);else System.Gadget.Settings.writeString("volume",oVolume[1].value);
	}
	event.cancel = false;
}